module DataSourceView where

import Graphics.UI.Gtk
import Control.Monad
import Control.Applicative

data ViewState = V 
    { mainWidget :: Widget
    , cmdModeRB :: RadioButton
    , dynamicHaskellModeRB :: RadioButton
    }

new :: Widget -> IO ViewState
new shellModeW dynHaskellModeW = do
  vbox <- vBoxNew False 2
  hbox <- vBoxNew False 2
  
  boxPackStart vbox hbox PackNatural 2
  boxPackEnd vbox rw PackGrow 2



  linesplit `toggleButtonSetActive` False
  dis `toggleButtonSetActive` True

  boxPackStart hbox dis PackNatural 2
  boxPackStart hbox linesplit PackNatural 2
  boxPackStart hbox submatch PackNatural 2

  return $ V (toWidget vbox) dis submatch linesplit

  

  
